using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.BaseData.Domain.Entities
{
    [Description("采集频率")]
    [Redis("ID")]
    [DataClassIndex(new string[] { "CODE", "ORG_ID" }, true)]
    [DataClassIndex(new string[] { "NAME", "ORG_ID" }, true)]
    public partial class T_PF_DATA_FREQUENCY : MesEntityBase
    {
        [DataFieldLength(30)]
        [Description("编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string CODE { get; set; }

        [DataFieldLength(50)]
        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string NAME { get; set; }

        [Description("上传频率")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal UPDATE_FRE { get; set; }

        [Description("入库频率")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal STORE_FRE { get; set; }

        [Description("频率类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("PFFrequencyEnum")]
        public int FREQUENCY_TYPE { get; set; }

    }
}
